using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Reflection;
using System.Diagnostics;

namespace NUnitProject
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                String NUnitPath = @"C:\Users\Sam\Documents\Visual Studio 2010\Projects\bmx4\IHS BMX Framework\lib\NUnit\NUnit-2.5.10.11092\bin\net-2.0\nunit-console.exe";
                AssemblyName asmName = System.Reflection.AssemblyName.GetAssemblyName(NUnitPath);
                System.Environment.CurrentDirectory = System.IO.Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location);
                AppDomain.CurrentDomain.ExecuteAssemblyByName(asmName, new[] { "/framework:4.0", @"C:\Users\Sam\Documents\Visual Studio 2010\Projects\bmx4\IHS BMX Framework\IndianHealthService.BMXNet.Test\bin\Debug\BMXTST40.dll" });
                Console.ReadLine();
            }
            catch (Exception ex)
            {
                Trace.WriteLine(ex.Message);
                Trace.WriteLine(ex.StackTrace);
            }
        }
    }
}
